Page MenuHomeFreeBSD

pfsync: Replace struct pfsync_pkt with int flags
ClosedPublic

Authored by email_luiz.eng.br on Aug 22 2022, 4:18 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 2 2023, 5:45 PM
Unknown Object (File)
Dec 14 2022, 10:49 PM

Details

Summary

As Kristof Provost proposed in D36277, here is the patch from OpenBSD removing the struct pfsync_pkt, applied to the current main branch of FreeBSD.

I did a round of basic testing and pfsync works between two hosts on a kernel built with these patches.

Sponsored by: InnoGames GmbH
Obtained from: OpenBSD

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Aug 22 2022, 9:47 PM
This revision was automatically updated to reflect the committed changes.